local screenW, screenH = guiGetScreenSize()
local x, y = (screenW/1920), (screenH/1080)


local painel = false
local functions = {}
local fonts = {}
fonts["Fonte01"] = dxCreateFont("font/gotham_light.ttf", x*12)

--[[
         ><><><><><><><><><><><><><><><><><><><><
         ><          Painel Inicial            ><
         ><><><><><><><><><><><><><><><><><><><><
--]]

function DxPainel ()
	exports["Blur"]:dxDrawBluredRectangle(x*499, y*326, x*345, y*492, tocolor(255, 255, 255, 255))
	drawBorde(x*499, y*326, x*345, y*492, tocolor(11, 11, 11, 100), false)
	drawBorde(x*499, y*326, x*345, y*62, tocolor(11, 11, 11, 200), false)
	dxDrawText("Painel de Animações", x*499, y*326, x*844, y*388, tocolor(255, 255, 255, 255), 1.00, fonts["Fonte01"], "center", "center", false, false, false, false, false)
	if functions["Tipo"] == "Casuais" then
		drawBorde(x*505, y*398, x*104, y*43, tocolor(0,140,255, 200), false)
	else
		drawBorde(x*505, y*398, x*104, y*43, tocolor(11, 11, 11, 200), false)
	end
	if functions["Tipo"] == "Fortnite" then
		drawBorde(x*619, y*398, x*104, y*43, tocolor(0,140,255, 200), false)
	else
		drawBorde(x*619, y*398, x*104, y*43, tocolor(11, 11, 11, 200), false)
	end
	if functions["Tipo"] == "Danças" then
		drawBorde(x*736, y*398, x*104, y*43, tocolor(0,140,255, 200), false)
	else
		drawBorde(x*736, y*398, x*104, y*43, tocolor(11, 11, 11, 200), false)
	end
	if functions["Tipo"] == "+18" then
		drawBorde(x*561, y*451, x*104, y*43, tocolor(0,140,255, 200), false)
	else
		drawBorde(x*561, y*451, x*104, y*43, tocolor(11, 11, 11, 200), false)
	end
	if functions["Tipo"] == "VIP" then
		drawBorde(x*679, y*451, x*104, y*43, tocolor(0,140,255, 200), false)
	else
		drawBorde(x*679, y*451, x*104, y*43, tocolor(11, 11, 11, 200), false)
	end
	dxDrawText("Casuais", x*505, y*398, x*609, y*441, tocolor(255, 255, 255, 255), 1.00, fonts["Fonte01"], "center", "center", false, false, false, false, false)
	dxDrawText("Andares", x*619, y*398, x*723, y*441, tocolor(255, 255, 255, 255), 1.00, fonts["Fonte01"], "center", "center", false, false, false, false, false)
	dxDrawText("Danças", x*736, y*398, x*840, y*441, tocolor(255, 255, 255, 255), 1.00, fonts["Fonte01"], "center", "center", false, false, false, false, false)
	dxDrawText("+18", x*561, y*451, x*665, y*494, tocolor(255, 255, 255, 255), 1.00, fonts["Fonte01"], "center", "center", false, false, false, false, false)
	dxDrawText("VIP", x*679, y*451, x*783, y*494, tocolor(255, 255, 255, 255), 1.00, fonts["Fonte01"], "center", "center", false, false, false, false, false)
	if anims[functions["Tipo"]] then
		if anims[functions["Tipo"]][tonumber(functions["Partes"])] then
			if functions["Selected"] == 1 then
				drawBorde(x*499, y*515, x*345, y*48, tocolor(0,140,255, 200), false)
			else
				drawBorde(x*499, y*515, x*345, y*48, tocolor(11, 11, 11, 100), false)
			end
			dxDrawText(anims[functions["Tipo"]][functions["Partes"]][1], x*499, y*515, x*844, y*563, tocolor(255, 255, 255, 255), 1.00, fonts["Fonte01"], "center", "center", false, false, false, false, false)
		end
		if anims[functions["Tipo"]][tonumber(functions["Partes"])+1] then
			if functions["Selected"] == 2 then
				drawBorde(x*499, y*573, x*345, y*48, tocolor(0,140,255, 200), false)
			else
				drawBorde(x*499, y*573, x*345, y*48, tocolor(11, 11, 11, 100), false)
			end
			dxDrawText(anims[functions["Tipo"]][tonumber(functions["Partes"])+1][1], x*499, y*573, x*844, y*621, tocolor(255, 255, 255, 255), 1.00, fonts["Fonte01"], "center", "center", false, false, false, false, false)
		end
		if anims[functions["Tipo"]][tonumber(functions["Partes"])+2] then
			if functions["Selected"] == 3 then
				drawBorde(x*499, y*631, x*345, y*48, tocolor(0,140,255, 200), false)
			else
				drawBorde(x*499, y*631, x*345, y*48, tocolor(11, 11, 11, 100), false)
			end
			dxDrawText(anims[functions["Tipo"]][tonumber(functions["Partes"])+2][1], x*499, y*631, x*844, y*679, tocolor(255, 255, 255, 255), 1.00, fonts["Fonte01"], "center", "center", false, false, false, false, false)
		end
		if anims[functions["Tipo"]][tonumber(functions["Partes"])+3] then
			if functions["Selected"] == 4 then
				drawBorde(x*499, y*689, x*345, y*48, tocolor(0,140,255, 200), false)
			else
				drawBorde(x*499, y*689, x*345, y*48, tocolor(11, 11, 11, 100), false)
			end
			dxDrawText(anims[functions["Tipo"]][tonumber(functions["Partes"])+3][1], x*499, y*689, x*844, y*737, tocolor(255, 255, 255, 255), 1.00, fonts["Fonte01"], "center", "center", false, false, false, false, false)
		end
	end
	if isCursorOnElement(x*523, y*754, x*144, y*48) then
		drawBorde(x*523, y*754, x*144, y*48, tocolor(0,140,255, 200), false)
	else
		drawBorde(x*523, y*754, x*144, y*48, tocolor(11, 11, 11, 200), false)
	end
	dxDrawText("Parar", x*523, y*754, x*667, y*802, tocolor(255, 255, 255, 255), 1.00, fonts["Fonte01"], "center", "center", false, false, false, false, false)
	if isCursorOnElement(x*677, y*754, x*144, y*48) then
		drawBorde(x*677, y*754, x*144, y*48, tocolor(0,140,255, 200), false)
	else
		drawBorde(x*677, y*754, x*144, y*48, tocolor(11, 11, 11, 200), false)
	end
	dxDrawText("Iniciar", x*677, y*754, x*821, y*802, tocolor(255, 255, 255, 255), 1.00, fonts["Fonte01"], "center", "center", false, false, false, false, false)
end


--[[
         ><><><><><><><><><><><><><><><><><><><><
         ><      Configurações N Altere        ><
         ><><><><><><><><><><><><><><><><><><><><
--]]


function AbrirPainel ()
	if painel == false then
		addEventHandler ( "onClientRender", root, DxPainel )
		painel = true
		showCursor ( true )
		playSoundFrontEnd ( 43 )
		functions["Partes"] = 1
		functions["Tipo"] = nil
	else
		removeEventHandler ( "onClientRender", root, DxPainel )
		painel = false
		showCursor ( false )
		playSoundFrontEnd ( 43 )
	end
end
bindKey("F4", "down", AbrirPainel)

function Funcoes (_,state)
	if painel == true then
		if state == "down" then
			if isCursorOnElement ( x*505, y*398, x*104, y*43 ) then  
				functions["Tipo"] = "Casuais"
				functions["Partes"] = 1
				functions["Selected"] = 0
			elseif isCursorOnElement ( x*619, y*398, x*104, y*43 ) then  
				functions["Tipo"] = "Andares"
				functions["Partes"] = 1
				functions["Selected"] = 0
			elseif isCursorOnElement ( x*736, y*398, x*104, y*43 ) then  
				functions["Tipo"] = "Danças"
				functions["Partes"] = 1
				functions["Selected"] = 0
			elseif isCursorOnElement ( x*561, y*451, x*104, y*43 ) then  
				functions["Tipo"] = "+18"
				functions["Partes"] = 1
				functions["Selected"] = 0
			elseif isCursorOnElement ( x*679, y*451, x*104, y*43 ) then  
				functions["Tipo"] = "VIP"
				functions["Partes"] = 1
				functions["Selected"] = 0
			elseif isCursorOnElement ( x*499, y*515, x*345, y*48 ) then  
				functions["Selected"] = 1
			elseif isCursorOnElement ( x*499, y*573, x*345, y*48 ) then  
				functions["Selected"] = 2
			elseif isCursorOnElement ( x*499, y*631, x*345, y*48 ) then  
				functions["Selected"] = 3
			elseif isCursorOnElement ( x*499, y*689, x*345, y*48 ) then  
				functions["Selected"] = 4
			elseif isCursorOnElement (x*523, y*754, x*144, y*48) then
				triggerServerEvent("TS:Animacoes", localPlayer, localPlayer, false)
			elseif isCursorOnElement (x*677, y*754, x*144, y*48) then
				if tonumber(functions["Selected"]) >= 1 and tonumber(functions["Selected"]) <= 4 then
					local Part = tonumber(functions["Partes"])
					local Selected = tonumber(functions["Selected"])
					local Tipo = functions["Tipo"]
					if Part and Selected and Tipo and anims[Tipo][Part+Selected-1] then
						if functions["Tipo"] ~= "Andares" then
							local modific = anims[Tipo][Part+Selected-1][4] or false
							local timer = anims[Tipo][Part+Selected-1][5] or -1
							triggerServerEvent("TS:Animacoes", localPlayer, localPlayer, true, anims[Tipo][Part+Selected-1][2], anims[Tipo][Part+Selected-1][3], Tipo, modific, timer)
						else
							local type = anims[Tipo][Part+Selected-1][2]
							triggerServerEvent("TS:andarMode", localPlayer, localPlayer, type)
						end
					else
						triggerEvent("serverNotifys2", root, "Selecione alguma animação!", "error")
					end
				else
					triggerEvent("serverNotifys2", root, "Selecione alguma animação!", "error")
				end
			end
		end
	end
end
addEventHandler ("onClientClick", root, Funcoes )

function downUp(button, press)
	if painel == true and functions["Tipo"] then
		if button == "mouse_wheel_up" then
			if anims[functions["Tipo"]][tonumber(functions["Partes"])-1] then
				functions["Partes"] = tonumber(functions["Partes"]) -1
				functions["Selected"] = 0
			end
		elseif button == "mouse_wheel_down" then
			if anims[functions["Tipo"]][tonumber(functions["Partes"])+4] then
				functions["Partes"] = tonumber(functions["Partes"]) +1
				functions["Selected"] = 0
			end
		end
	end
end
addEventHandler("onClientKey", root, downUp)

function isCursorOnElement ( x, y, w, h )
	local mx, my = getCursorPosition ()
	local fullx, fully = guiGetScreenSize ()
	cursorx, cursory = mx*fullx, my*fully
	if cursorx > x and cursorx < x + w and cursory > y and cursory < y + h then
		return true
	else
	return false
	end
end

function drawBorde(x, y, w, h, borderColor, bgColor, postGUI)
  if (x and y and w and h) then
      if (not borderColor) then
          borderColor = tocolor(0, 0, 0, 200)
      end
      
      if (not bgColor) then
          bgColor = borderColor
      end        
      postGUI = false

      dxDrawRectangle(x, y, w, h, bgColor, postGUI)

      dxDrawRectangle(x + 2, y - 1, w - 4, 1, borderColor, postGUI) -- top
      dxDrawRectangle(x + 2, y + h, w - 4, 1, borderColor, postGUI) -- bottom
      dxDrawRectangle(x - 1, y + 2, 1, h - 4, borderColor, postGUI) -- left
      dxDrawRectangle(x + w, y + 2, 1, h - 4, borderColor, postGUI) -- right
  end
end

local customIfp = nil 

function setAnim (ped, group, animation, timer)
    if isElement(ped) then
		for i = 1,3 do
			setPedAnimation(ped, group, animation, timer, true, false, false) 
        end
    end
end
addEvent("TS:setAnim",true)
addEventHandler("TS:setAnim",getRootElement(),setAnim)

addEventHandler("onClientResourceStart", resourceRoot,
function ( startedRes )
    customIfp = engineLoadIFP ("files/abdominal.ifp", "abdominal")
    customIfp2 = engineLoadIFP ("files/breakdance1.ifp", "breakdance1")
    customIfp3 = engineLoadIFP ("files/breakdance2.ifp", "breakdance2")
    customIfp4 = engineLoadIFP ("files/continencia.ifp", "continencia")
    customIfp5 = engineLoadIFP ("files/flexao.ifp", "flexao")
    customIfp6 = engineLoadIFP ("files/fortnite1.ifp", "fortnite1")
    customIfp7 = engineLoadIFP ("files/fortnite2.ifp", "fortnite2")
    customIfp8 = engineLoadIFP ("files/fortnite3.ifp", "fortnite3")
    customIfp9 = engineLoadIFP ("files/handscower.ifp", "handscower")
    customIfp10 = engineLoadIFP ("files/render.ifp", "render")
    customIfp11 = engineLoadIFP ("files/newAnims.ifp", "newAnims")
    if customIfp then 
    
        outputDebugString ("Animações carregadas")
    
    else
        outputDebugString ("Animações não foram carregadas")
    end
end
)